function ees = acopf(datoteka,snimaj)
%% citanje na vleznite podatoci
if nargin == 1, snimaj = true; end
if isstruct(datoteka)
    ees = datoteka;
else
    ees = feval(datoteka);
end
%% dolni i gorni granici
[PGmin, PGmax] = deal(ees.generatori(:,5),ees.generatori(:,6));
[Umin, Umax] = deal(ees.jazli(:,8),ees.jazli(:,9));
NG = size(ees.generatori,1);
ref  = find(ees.jazli(:,2) == 3);
refg = ees.generatori(:,1) == ref;
i = 1:NG; i(refg) = [];
j = ees.generatori(:,1);
Xmin = [PGmin(i); Umin(j)];
Xmax = [PGmax(i); Umax(j)];
%% pocetno resenie
X = [ees.generatori(i,2)
     ees.generatori(:,4)];
%% optimizacija
[X,F,exitflag] = fmincon('trosoci',X,[],[],[],[],Xmin,Xmax,'ees_ogr',[],ees);
ees.F = F;
[c, ceq, ees] = ees_ogr(X,ees);
ees.konverg = exitflag;
%% snimanje na rezultatite
if snimaj; snimi_acpf(ees); type('acpf.txt'); end
