function ees = acopf_yalmip(datoteka,snimaj)
%% citanje na vleznite podatoci
addpath('../')
if nargin == 1, snimaj = true; end
if isstruct(datoteka)
    ees = datoteka;
else
    ees = feval(datoteka);
end
n  = size(ees.jazli,1); % broj na jazli
ng = size(ees.generatori,1); % broj na generatori
%% matrica Y i zadadeni moknosti vo jazlite
[Y, f, t, Y1, Y2, Y3] = matrica_y(ees.Sb, ees.jazli, ees.granki);
SP = (ees.jazli(:,4) + 1j * ees.jazli(:,5))/ees.Sb;
igen = ees.generatori(:,1);
%% dolni i gorni granici
G = ees.generatori/ees.Sb;
[PGmin, PGmax, QGmin, QGmax] = deal(G(:,5),G(:,6),G(:,7),G(:,8));
[Umin, Umax] = deal(ees.jazli(:,8),ees.jazli(:,9));
SGRmax = ees.granki(:,7)/ees.Sb;
%% optimizacija
% promenlivi vo optimizacijata
PG = sdpvar(ng,1);
QG = sdpvar(ng,1);
Um = sdpvar(n,1);
Ua = sdpvar(n,1);
% izvedeni promenlivi
U = Um.*exp(1j*Ua); % kompleksen napon
S = U.*conj(Y*U); % injektirani moknost vo jazlite
E = eye(n);
SG = E(:,igen) * (PG + 1j*QG); % moknosti na generatorite 
% presmetka na moknosti na dvata kraja od grankite
If = Y1 .* (U(f) - U(t)) + Y2 .* U(f);
It = Y1 .* (U(f) - U(t)) - Y3 .* U(t);
Sf = U(f) .* conj(If);
St = U(t) .* conj(It);
% ogranicuvanja
C = [
    PGmin <= PG <= PGmax
    QGmin <= QG <= QGmax
     Umin <= Um <= Umax
    -2*pi <= Ua <= 2*pi
        S == SG - SP
  abs(Sf) <= SGRmax
  abs(St) <= SGRmax
    ];
% funkcija na cel
[a,b,c] = deal(ees.trosoci(:,2),ees.trosoci(:,3),ees.trosoci(:,4));
b = b*ees.Sb;
c = c*ees.Sb^2;
F = sum(a + b.*PG + c.*PG.^2);
% optimizacija
opis = optimize(C,F)
%% detalna premetka na optimalnoto resenie 
ees.F = value(F);
ees.generatori(:,2) = value(PG)*ees.Sb;
ees.generatori(:,4) = value(Um(igen));
ees = acpf(ees,1e-8,20,false);
%% snimanje na rezultatite
if snimaj; snimi_acpf(ees); type('acpf.txt'); end