function ees = acpf(datoteka,epsilon,iter_max,snimaj)
if nargin == 1
    epsilon = 1e-8; iter_max = 20; snimaj = true;
end
%% citanje na vleznite podatoci
if isstruct(datoteka)
    ees = datoteka;
else
    ees = feval(datoteka);
end
n  = size(ees.jazli,1); % broj na jazli
ng = size(ees.generatori,1); % broj na generatori
%% matrica Y i zadadeni injektirani moknosti vo jazlite
[Y, f, t, Y1, Y2, Y3] = matrica_y(ees.Sb, ees.jazli, ees.granki);
iskl = find(ees.generatori(:,9) == 0); % iskluceni generatori
ees.generatori(iskl,2:8) = 0; % nuli kaj isklucenite generatori
ees.jazli(ees.generatori(iskl,1),2) = 1; % tip = 1 za jazlite so iskl. generatori
Sg = ees.generatori(:,2) + 1j * ees.generatori(:,3);
Sp = ees.jazli(:,4) + 1j * ees.jazli(:,5);
igen = ees.generatori(:,1);
Cg = sparse(igen,(1:ng)',ones(ng,1),n,ng);
Sdad = (Cg*Sg - Sp)/ees.Sb;
%% vektori so tipovite na jazli
pq = find(ees.jazli(:,2) == 1);
pu = find(ees.jazli(:,2) == 2);
%% ramen start
U0 = ones(n,1);
vkl = find(ees.generatori(:,9) == 1); % vkluceni generatori
U0(ees.generatori(vkl,1)) = ees.generatori(vkl,4); % naponi na generatorskite jazli
%% Newton-Raphson
[U, ees.konverg, ees.vreme, ees.iter] = nr(Y, Sdad, U0, pu, pq, epsilon, iter_max);
%% moduli i agli na naponite
ees.jazli(:,10:12) = [abs(U) angle(U)/pi*180 abs(U).*ees.jazli(:,3)];
%% zagubi na moknost vo sistemot
Sinj = U .* conj(Y * U);
ees.dS = sum(Sinj) * ees.Sb;
%% moknosti na generatorite
Sg = Sinj(igen) * ees.Sb + Sp(igen);
ees.generatori(:,2:3) = [real(Sg) imag(Sg)];
ees.generatori(iskl,2:3) = 0;
%% tekovi na moknost vo grankite
If = Y1 .* (U(f) - U(t)) + Y2 .* U(f);
It = Y1 .* (U(f) - U(t)) - Y3 .* U(t);
Sf = U(f) .* conj(If) * ees.Sb;
St = U(t) .* conj(It) * ees.Sb;
ees.granki(:,9:12) = [real(Sf) imag(Sf) real(St) imag(St)];
S = max(abs(Sf), abs(St));
ees.granki(:,13) = S./ees.granki(:,7)*100;
%% snimanje na rezultatite
if snimaj; snimi_acpf(ees); type('acpf.txt'); end
