function ees = dcpf(datoteka,snimaj)
%% citanje na vleznite podatoci
if nargin == 1, snimaj = true; end
if isstruct(datoteka)
    ees = datoteka;
else
    ees = feval(datoteka);
end
n   = size(ees.jazli,1); % broj na jazli
ngr = size(ees.granki,1); % broj na granki
ng  = size(ees.generatori,1); % broj na generatori
%% matrica B
G = ees.granki;
[f, t, Bgranki] = deal(G(:,1),G(:,2),1./G(:,3).*G(:,5));
A =   sparse(1:ngr, f, ones(ngr, 1), ngr, n) ...
    - sparse(1:ngr, t, ones(ngr, 1), ngr, n);
B =   A' * sparse(1:ngr,1:ngr,Bgranki) * A;
%% zadadeni injektirani moknosti vo jazlite
iskl = find(ees.generatori(:,5) == 0); % iskluceni generatori
ees.generatori(iskl,2:4) = 0; % nuli kaj isklucenite generatori
Pg = ees.generatori(:,2);
Pp = ees.jazli(:,3);
igen = ees.generatori(:,1);
Cg = sparse(igen,(1:ng)',ones(ng,1),n,ng);
P = (Cg*Pg - Pp)/ees.Sb;
%% dc model
ref = find(ees.jazli(:,2) == 3);
neref = (1:n)'; neref(ref) = [];
Ua = zeros(n,1); tic
Ua(neref) = B(neref,neref) \ P(neref); ees.vreme = toc;
ees.jazli(:,5) = Ua/pi*180;
%% moknosti na generatorite
P = B * Ua;
Pg = P(igen) * ees.Sb + Pp(igen);
ees.generatori(:,2) = Pg;
ees.generatori(iskl,2) = 0;
%% tekovi na moknost vo grankite
Pgr = (Ua(f) - Ua(t)) .* Bgranki * ees.Sb;
ees.granki(:,6) = Pgr;
ees.granki(:,7) = abs(Pgr)./ees.granki(:,4)*100;
%% snimanje na rezultatite
if snimaj; snimi_dcpf(ees); type('dcpf.txt'); end
