function [PT,PH,PGR,V,F,T,exitflag] = hidro_termo(datoteka,uvazi_mreza)
if nargin == 1, uvazi_mreza = true; end
if isstruct(datoteka)
    ees = datoteka;
else
    ees = feval(datoteka);
end
if uvazi_mreza
    path('../',path);
    ees.generatori = [ees.termo; ees.hidro];
    H = matrica_h(ees); PGRmax = ees.granki(:,4);
    [M,NG] = size(H);
end
G = ees.termo; [PTmin,PTmax] = deal(G(:,3),G(:,4)); NT = size(G,1);
T = ees.trosoci; [a,b,c] = deal(T(:,2),T(:,3),T(:,4));
G = ees.hidro; [PHmin,PHmax] = deal(G(:,3),G(:,4)); NH = size(G,1);
V = ees.voda; [alfa,beta,gama,Vmax] = deal(V(:,2),V(:,3),V(:,4),V(:,5));
D = ees.dijagram; [P,T] = deal(D(:,1),D(:,2)); ND = size(D,1);
E = num2cell(ones(ND,NT+NH),1); E = blkdiag(E{:});
Xmin = E * [PTmin; PHmin];
Xmax = E * [PTmax; PHmax];
Aeq = repmat(eye(ND),1,NT+NH);
beq = P;
if uvazi_mreza
    A = zeros(M*ND,NG*ND);
    for i = 1:ND
        for j = 1:NG
            A(ND*(i-1)+(1:ND),i+(j-1)*ND) = H(:,j);
        end
    end
    B = repmat(PGRmax,ND,1);
else
    A = []; B = [];
end
X0 = (Xmin + Xmax)/2;
[X,F,exitflag] = fmincon('trosoci',X0,[A;-A],[B;B],Aeq,beq,Xmin,Xmax,'voda',[],...
    NT,NH,ND,a,b,c,alfa,beta,gama,Vmax,T);
PT = reshape(X(1:NT*ND),ND,NT)';
PH = reshape(X(NT*ND+1:end),ND,NH)';
c = voda(X,NT,NH,ND,a,b,c,alfa,beta,gama,Vmax,T);
V = c + Vmax;
if uvazi_mreza
    PGR = reshape(A*X,M,ND);
else
    PGR = [];
end
