function [U, konverg, vreme, iter] = nr(Y, Sdad, U0, pu, pq, epsilon, iter_max)
%% inicijalizacija
U = U0; % pocetni naponi
n = length(U); % broj na jazli
iter = 0; % brojac na iteracii
Um = abs(U); % modul na naponite
Ua = angle(U); % agol na naponite
pqpu = [pq; pu]; % indeksi na site pq i pu jazli
q = length(pqpu); % broj na jazli so nepoznati agli na naponite
%% proverka na pocetnoto resenie
[Spres, F, konverg] = proverka(Y,Sdad,U,pq,pqpu,epsilon);
%% iteracii
tic
while (~konverg && iter < iter_max)
    iter = iter + 1;
    %% Jakobijan
    diagU     = sparse(1:n,1:n,U);
    diagUnorm = sparse(1:n,1:n,U./abs(U));
    diagS     = sparse(1:n,1:n,Spres);
    diagSnorm = sparse(1:n,1:n,Spres./abs(U));
    dS_dUa = 1j*(diagS - diagU*conj(Y*diagU));    % izvodi na S vo odnos na Ua
    dS_dUm = diagSnorm + diagU*conj(Y*diagUnorm); % izvodi na S vo odnos na Um
    J = [
        real(dS_dUa(pqpu,pqpu))   real(dS_dUm(pqpu,pq))
        imag(dS_dUa(pq,  pqpu))   imag(dS_dUm(pq,  pq))
        ];
    %% presmetka na prirasti na promenlivite
    dx = -J\F;
    %% novi vrednosti na promenlivite
    Ua(pqpu) = Ua(pqpu) + dx(1:q); % novi agli na naponite kaj pq i pu jazlite
    if ~isempty(pq)
        Um(pq) = Um(pq) + dx(q+1:end); % novi moduli na naponite kaj pq jazlite
    end
    U = Um .* exp(1j * Ua); % novi kompleksni vrednosti na naponite
    %% proverka na resenieto
    [Spres, F, konverg] = proverka(Y,Sdad,U,pq,pqpu,epsilon);
end
vreme = toc;
function [Spres, F, konverg] = proverka(Y,Sdad,U,pq,pqpu,epsilon)
Spres = U .* conj(Y * U); % presmetani injektirani moknosti
dS = Spres - Sdad; % razlika vo injektiranite moknosti (presmetani minus dadeni)
F = [
    real(dS(pqpu)) % razliki vo aktivnite moknosti kaj pq i pu jazlite
    imag(dS(pq))   % razliki vo reaktivnite moknosti kaj pq jazlite
    ];
konverg = norm(F, inf) < epsilon; % proverka za konvergencija
