function [c, ceq, t1, PG2, QG1, QG2, SGR1, SGR2] = ogranicuvanja1(X)
%Presmetka na fazniot agol na jazelot 1
t1 = fzero(@(t1) 0.8 + 2.0814*X(2)^2 + X(2)*X(3)*(-2.0814*cos(t1) + 6.9381*sin(t1)) - X(1), 0);
%Presmetka na injektiranata aktivna moknost na generatorot vo jazelot 2
PG2 = 0.3 + 2.0814*X(3)^2 + X(2)*X(3)*(-2.0814*cos(t1) - 6.9381*sin(t1));
%Presmetka na injektiranata reaktivna moknost na generatorot vo jazelot 1
QG1 = 0.3 + 6.9313*X(2)^2 + X(2)*X(3)*(-2.0814*sin(t1) - 6.9381*cos(t1));
%Presmetka na injektiranata aktivna moknost na generatorot vo jazelot 2
QG2 = 0.2 + 6.9313*X(3)^2 + X(2)*X(3)*(2.0814*sin(t1) - 6.9381*cos(t1));
%Presmetka na moknostite vo grankite
U1 = X(2) * exp(1j*t1); U2 = X(3);
I1 = (U1 - U2) / (0.039669 + 1j*0.132231) + U1 * 1j*0.013552/2;
I2 = (U1 - U2) / (0.039669 + 1j*0.132231) - U2 * 1j*0.013552/2;
SGR1 = U1 * conj(I1);
SGR2 = U2 * conj(I2);
%Ogranicuvanja od tipot na neravenstva
c = [
    0.3 - PG2 %PG2 >= PG2min
    PG2 - 1   %PG2 <= PG2max
    -1 - QG1  %QG1 >= QG1min
    QG1 - 1   %QG1 <= QG1max
    -1 - QG2  %QG2 >= QG2min
    QG2 - 1   %QG2 <= QG2max
    abs(SGR1) - 0.3 %SGR < SGRmax na pocetok od grankata
    abs(SGR2) - 0.3 %SGR < SGRmax na krajot od grankata
    ];
ceq = []; %Nema ogranicuvanja od tipot na ravenstva
