function snimi_acpf(ees)
fid = fopen('acpf.txt','w');
    fprintf(fid,'konverg = %i, iter = %i, vreme = %.3f sek\n', ...
        ees.konverg, ees.iter, ees.vreme);
	if isfield(ees,'F')
         fprintf(fid,'F = %.2f\n',ees.F);
    end
    fprintf(fid,'%s\n','----------------------------------');
    fprintf(fid,'%s\n','              ZAGUBI              ');
    fprintf(fid,'%s\n','----------------------------------');
    fprintf(fid, 'DP = %7.3f MW, DQ = %7.3f Mvar\n', real(ees.dS),imag(ees.dS));
    fprintf(fid,'%s\n','--------------------------------------------------------');
    fprintf(fid,'%s\n','                    NAPONI NA JAZLITE                   ');
    fprintf(fid,'%s\n','--------------------------------------------------------');
    fprintf(fid,'         MW   Mvar Mvar(sh)     U(pu)   Teta(o)    U(kV)\n');
    n = size(ees.jazli,1);
    for i = 1:n
        znak = ' ';
        if ees.jazli(i,10) > ees.jazli(i,9) znak = '+'; end
        if ees.jazli(i,10) < ees.jazli(i,8) znak = '-'; end
    	fprintf(fid,'%4i%7.1f%7.1f%9.1f%10.6f%2s%8.3f%9.3f\n', ...
            i, ees.jazli(i,4:6), ees.jazli(i,10), znak, ees.jazli(i,11:12));
    end
    fprintf(fid,'%s\n','--------------------------------------------------------------');
    fprintf(fid,'%s\n','                   MOKNOSTI NA GENERATORITE                   ');
    fprintf(fid,'%s\n','--------------------------------------------------------------');
    fprintf(fid,'           PG         QG      PGmin    PGmax    QGmin    QGmax\n');
    ng = size(ees.generatori,1);
    [igen, PG, QG] = deal(ees.generatori(:,1),ees.generatori(:,2),ees.generatori(:,3));
    [PGmin, PGmax] = deal(ees.generatori(:,5),ees.generatori(:,6));
    [QGmin, QGmax] = deal(ees.generatori(:,7),ees.generatori(:,8));
    for i = 1:ng
        znak1 = ' ';
        if PG(i) > PGmax(i) znak1 = '+'; end
        if PG(i) < PGmin(i) znak1 = '-'; end
        znak2 = ' ';
        if QG(i) > QGmax(i) znak2 = '+'; end
        if QG(i) < QGmin(i) znak2 = '-'; end
        fprintf(fid, '%4i%9.3f%2s%9.3f%2s%9.1f%9.1f%9.1f%9.1f\n', ...
            igen(i),PG(i),znak1,QG(i),znak2,PGmin(i),PGmax(i),QGmin(i),QGmax(i));
    end
    [f, t] = deal(ees.granki(:,1),ees.granki(:,2));
    SGRmax = ees.granki(:,7);
    SGR1 = ees.granki(:,9) + 1j*ees.granki(:,10);
    SGR2 = ees.granki(:,11) + 1j*ees.granki(:,12);
    SGR = max(abs(SGR1), abs(SGR2));
    fprintf(fid,'%s\n','-------------------------------------------------------------------------');
    fprintf(fid,'%s\n','                          MOKNOSTI VO GRANKITE                           ');
    fprintf(fid,'%s\n','-------------------------------------------------------------------------');
    fprintf(fid, '                MW      Mvar        MW      Mvar       MVA  MVAdoz      %%\n');
    m = size(ees.granki,1);
    for i = 1:m
        znak = ' ';
        if SGR(i) > SGRmax(i) znak = '+'; end
        fprintf(fid, '%4i%4i%10.3f%10.3f%10.3f%10.3f%10.3f%8.1f%7.1f%2s\n', ...
            f(i),t(i),real(SGR1(i)),imag(SGR1(i)),real(SGR2(i)), ...
            imag(SGR2(i)),SGR(i),SGRmax(i),SGR(i)/SGRmax(i)*100,znak);
    end
fclose(fid);
