% podatoci za jazlite
n = 3;
Y = [
   4.8566 - 16.1770i  -2.0814 + 6.9381i  -2.7752 + 9.2507i
  -2.0814 +  6.9381i   2.0814 - 6.9313i   0.0000 + 0.0000i
  -2.7752 +  9.2507i   0.0000 + 0.0000i   2.7752 - 9.2457i];
SP = [0.8 + 0.3i; 0.3 + 0.2i; 0];
Umin = 0.95*ones(3,1); Umax = 1.1*ones(3,1);

% podatoci za grankite
f = [2; 3]; t = [1; 1]; SGRmax = [0.5; 0.5];
Y1 = [2.0814 - 6.9381i; 2.7752 - 9.2507i];
Y2 = [0.0068i; 0.0051i];
Y3 = Y2;
% podatoci za generatorite
ng = 2; igen = [2; 3];
PGmin = [0.3; 0.3]; PGmax = [1; 1];
QGmin = [-1; -1]; QGmax = [1; 1];
a = [100; 100]; b = [20; 15]; c = [0.1; 0.12];
% promenlivi vo optimizacijata
PG = sdpvar(ng,1); QG = sdpvar(ng,1);
Um = sdpvar(n,1);  Ua = sdpvar(n,1);
% izvedeni promenlivi
U = Um.*exp(1j*Ua); % kompleksen napon
S = U.*conj(Y*U); % injektirani moknost vo jazlite
E = eye(n);
SG = E(:,igen) * (PG + 1j*QG); % moknosti na generatorite 
% presmetka na moknosti na dvata kraja od grankite
If = Y1 .* (U(f) - U(t)) + Y2 .* U(f);
It = Y1 .* (U(f) - U(t)) - Y3 .* U(t);
Sf = U(f) .* conj(If);
St = U(t) .* conj(It);
% ogranicuvanja
ogranicuvanja = [
    PGmin <= PG <= PGmax
    QGmin <= QG <= QGmax
     Umin <= Um <= Umax
    -2*pi <= Ua <= 2*pi
        S == SG - SP
  abs(Sf) <= SGRmax
  abs(St) <= SGRmax
    ];
% funkcija na cel
funkcija = sum(a + b.*(100*PG) + c.*(100*PG).^2);
% optimizacija
opis = optimize(ogranicuvanja,funkcija)
PG = 100*value(PG)
QG = 100*value(QG)
Um = value(Um)
Ua = value(Ua)/pi*180
Sgr = 100*[value(Sf) value(St)]
f = value(funkcija)